> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the schedule for the specified job



## OpenAPI

````yaml /api-reference/4.2/service-jobs.json get /jobs/{resource}/schedule
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service jobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: jobs
paths:
  /jobs/{resource}/schedule:
    get:
      tags:
        - 4.2 Jobs API
      summary: Get the schedule for the specified job
      operationId: getJobConfig
      parameters:
        - name: resource
          in: path
          description: The job ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/JobConfig'
components:
  schemas:
    JobConfig:
      type: object
      properties:
        resource:
          $ref: '#/components/schemas/FusionResource'
        enabled:
          type: boolean
          readOnly: true
          default: false
        triggers:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/JobTriggerConfig'
        default:
          type: boolean
          readOnly: true
          default: false
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri
    JobTriggerConfig:
      type: object
      discriminator:
        propertyName: type
      properties:
        enabled:
          type: boolean
          readOnly: true
          default: false
        type:
          type: string
          readOnly: true

````